Channels
Reply to a post on X
POST
Reply from this X channel to a post that mentions it. X refuses app replies to any other post with x.reply_not_allowed (424), and details.replyIntentUrl is a link where the person sends the same reply from X. Costs X credits like any other post.
header
AuthorizationBearer <token>Send your key as Authorization: Bearer eksis_sk_....
channelId*stringapplication/json- body
postId*stringPost id or x.com link.
text*stringLength
1 <= length <= 1000The reply is live on X.
application/json- response
data?curl -X POST 'https://api.eksis.io/v1/channels/string/x/replies' \ -H 'Authorization: Bearer eksis_sk_...' \ -H 'Content-Type: application/json' \ -d '{ "postId": "string", "text": "string"}'{ "data": { "id": "string", "inReplyTo": "string", "permalink": "string" }}